import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

@Component({
  selector: 'page-lightbox',
  templateUrl: 'lightbox.html'
})

export class LightboxPage {

  image: string;
  tabNavEl: any;

  constructor(public navCtrl: NavController, private _params: NavParams) {
    this.image = this._params.get('image');
    this.tabNavEl = document.querySelector('#tab-nav .tabbar');
  }

  ionViewWillEnter() {
    this.tabNavEl.style.display = 'none';
  }

  close(event) {
    this.navCtrl.pop();
  }
}
